/* main */
main,
body {
  background: #fff !important;
  padding: 0;
  margin: 0;
}

main .h2-title {
  background: linear-gradient(90deg, #fcf4ff 72.26%, #d9baff 96.77%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

@keyframes btnEffects {
  0% {
    background-position: 0%;
  }

  100% {
    background-position: 400%;
  }
}

main .fade-in {
  animation-fill-mode: forwards;
  animation: fadeInUpCont 2s 1s ease both;
}

@keyframes fadeInUpCont {
  0% {
    transform: scale(0.9);
  }

  100% {
    transform: scale(1);
  }
}
/* top-banner */
.top-banner {
  overflow: hidden;
  padding: 144px 0;
  background: url(https://edimakor.hitpaw.com/images/guide-page/banner-bg.png?w=3840&h=800)
    no-repeat center/cover;
}

.top-banner .h1-title {
  max-width: max-content;
  font-size: 68px;
  font-weight: 500;
  line-height: 81.6px;
  text-align: center;
  color: rgba(10, 1, 47, 1);
  margin-bottom: 16px;
  position: relative;
}

.top-banner .top-title-text {
  max-width: 992px;
  text-align: center;
  color: rgba(10, 1, 47, 1);
  z-index: 9;
}

.top-banner .elem-1 {
  max-width: 90px;
  left: 160px;
  top: 120px;
  animation: smoothUpAndDown2 5s infinite;
}

.top-banner .elem-2 {
  max-width: 80px;
  right: 250px;
  animation: smoothUpAndDown2 4s infinite;
}

@keyframes smoothUpAndDown2 {
  0% {
    transform: translate3d(0px, 2px, 0px) scale3d(1, 1, 1) rotateX(0deg)
      rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
  }

  50% {
    transform: translate3d(0px, -10px, 0px) scale3d(1, 1, 1) rotateX(0deg)
      rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
  }

  100% {
    transform: translate3d(0px, 2px, 0px) scale3d(1, 1, 1) rotateX(0deg)
      rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
  }
}

@media (max-width: 1600px) {
  .top-banner {
    padding: 114px 0 56px;
  }

  .top-banner .h1-title {
    font-size: 48px;
    line-height: 57.6px;
    margin-bottom: 12px;
  }

  .top-banner .top-title-text {
    max-width: 720px;
  }

  .top-banner .elem-1 {
    width: 65px;
    left: 170px;
    top: 60px;
  }

  .top-banner .elem-2 {
    right: 220px;
    width: 55px;
  }
}

@media (max-width: 1280px) {
  .top-banner .elem-1 {
    left: 40px;
  }

  .top-banner .elem-2 {
    right: 70px;
  }
}

@media (max-width: 992px) {
  .top-banner .elem-1 {
    left: 40px;
    top: 100px;
  }
}

@media (min-width: 992px) {
  .top-banner .main-content {
    transition: transform 0.5s ease;
  }
}

@media (max-width: 768px) {
  .top-banner .elem-1 {
    left: 20px;
    top: 120px;
  }

  .top-banner .elem-2 {
    right: 30px;
  }
}

@media (max-width: 450px) {
  .top-banner {
    padding: 166px 0 102px;
    background: url(https://edimakor.hitpaw.com/images/guide-page/banner-bg-mobile.png?w=780&h=800)
      no-repeat center/cover;
  }

  .top-banner .h1-title {
    max-width: 260px;
    font-size: 30px;
    line-height: 36px;
    z-index: 2;
    margin-bottom: 16px;
  }

  .top-banner .top-title-text {
    max-width: 312px;
    font-size: 14px;
    line-height: 20px;
  }

  .top-banner .elem-1 {
    width: 65px;
    left: -5px;
    top: -60px;
  }

  .top-banner .elem-2 {
    width: 55px;
    right: 5px;
    top: 140px;
  }
}
/* sec-2 */
.sec-2 {
  padding: 64px 0 160px;
  position: relative;
}

.sec-2 .container {
  padding: 0;
}

.sec-2 .btn-side {
  width: 40px;
  height: 40px;
  background: rgba(107, 87, 255, 1);
  box-shadow: 1px 1px 6px 0px rgba(173, 167, 225, 0.7);
  left: 0;
  top: 0;
  border-radius: 0px 8px 8px 0px;
  padding: 11px;
  z-index: 999;
}

.sec-2 .btn-side svg {
  vertical-align: initial;
  transform: rotate(90deg);
  transition: 0.5s;
}

.sec-2 .btn-side.actived svg {
  transform: rotate(0deg);
}

.sec-2 .lft {
  margin-left: 0;
}

.sec-2 .lft .list {
  gap: 32px;
}

.sec-2 .cell {
  max-width: 384px;
  border-radius: 16px;
  gap: 16px;
  text-decoration: none;
}

.sec-2 .cell .cell-cont {
  width: 384px !important;
  min-height: 215px;
  border-radius: 16px;
}

.sec-2 .cell .cell-cont img {
  object-fit: cover;
  transition: 0.3s ease-in;
}

.sec-2 .cell:hover .mask p {
  color: rgba(107, 87, 255, 1);
}

.sec-2 .cell:hover .cell-cont img {
  transform: scale(1.08);
}

.sec-2 .cell .mask p {
  height: 50px;
  font-size: 17px;
  font-weight: 700;
  line-height: 25px;
  color: rgba(10, 1, 47, 1);
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.sec-2 .rgt {
  max-width: 224px;
  margin-right: 64px;
}

.sec-2 .rgt .tip-list {
  gap: 16px;
  padding: 8px;
  border: 1px solid rgba(224, 224, 224, 1);
  border-radius: 16px;
}

.sec-2 .rgt .tip-item {
  padding: 16px 0;
  transition:
    color 0.2s ease-in,
    background-color 0.2s ease-in;
  position: relative;
  font-size: 18px;
  font-weight: 700;
  line-height: 25.2px;
  width: 208px;
  color: rgba(10, 1, 47, 1);
  border-radius: 4px;
}

.sec-2 .rgt .tip-item.actived {
  background: linear-gradient(90deg, #f4efff 0%, rgba(244, 239, 255, 0) 100%);
  color: rgba(107, 87, 255, 1);
}

.sec-2 .rgt .tip-item.actived:hover {
  background: linear-gradient(90deg, #f4efff 0%, rgba(244, 239, 255, 0) 100%);
}

.sec-2 .rgt .tip-item:hover {
  background: linear-gradient(90deg, #f7f7f7 0%, rgba(247, 247, 247, 0) 100%);
}

.sec-2 .pagination {
  width: fit-content;
  flex-direction: row;
}

.sec-2 .pagination .btn {
  border-radius: 4px;
  padding: 0 8px;
  height: 24px;
  font-size: 14px;
  font-weight: 400;
  line-height: 19px;
  text-align: left;
}

.sec-2 .pagination .btn.btn-prev {
  border: 1px solid rgba(10, 1, 47, 1);
}

.sec-2 .pagination .btn.btn-prev:hover {
  background: rgba(10, 1, 47, 1);
  color: #fff;
}

.sec-2 .pagination ul li {
  margin: 0 8px;
  font-size: 16px;
  font-weight: 400;
  line-height: 22px;
}

.sec-2 .pagination ul li a {
  display: block;
  height: 22px;
  text-align: center;
  color: #000000;
  font-size: 16px;
  font-weight: 400;
  line-height: 22.4px;
}

.sec-2 .pagination ul li a:hover {
  text-decoration: none;
  color: #6b57ff;
}

.sec-2 .pagination ul li.active a {
  color: #6b57ff;
}

.sec-2 .pagination .skip-cont input {
  height: 24px;
  width: 40px;
  border: 1px solid rgba(224, 224, 224, 1);
  font-size: 14px;
  border-radius: 4px;
  background: rgba(241, 241, 241, 1);
}

@media (max-width: 1600px) {
  .sec-2 {
    padding: 40px 0 114px;
  }

  .sec-2 .rgt {
    max-width: 184px;
    margin-right: 40px;
  }

  .sec-2 .rgt .tip-item {
    width: 168px;
    font-size: 16px;
    line-height: 22px;
  }

  .sec-2 .lft .list {
    gap: 24px;
  }

  .sec-2 .cell {
    max-width: 317px;
  }

  .sec-2 .cell .cell-cont {
    width: 317px !important;
    min-height: 178px;
  }

  .sec-2 .cell .mask p {
    font-size: 16px;
    line-height: 22px;
  }
}

@media (max-width: 1280px) {
  .sec-2 .rgt {
    max-width: 160px;
    position: absolute;
    left: 8px;
    top: 45px;
    z-index: 999;
    transition: 0.5s;
    transform: translateX(-200px);
  }

  .sec-2 .btn-side {
    display: block !important;
  }

  .sec-2 .rgt .tip-list {
    gap: 8px;
    background: #fff;
    border-radius: 8px;
  }

  .sec-2 .rgt.boxappear {
    transform: translateX(5px);
  }

  .sec-2 .rgt .tip-item {
    width: 144px;
    padding: 12px;
  }

  .sec-2 .cell {
    max-width: 304px;
  }

  .sec-2 .cell .cell-cont {
    width: 304px !important;
  }
}

@media (max-width: 992px) {
  .sec-2 .lft .list {
    justify-content: center;
  }
}

@media (max-width: 450px) {
  .sec-2 {
    padding: 32px 0 82px;
  }

  .sec-2 .cell {
    max-width: 342px;
    gap: 8px;
  }

  .sec-2 .cell .cell-cont {
    width: 342px !important;
    min-height: 192px;
  }

  .sec-2 .pagination .skip-cont {
    display: none !important;
  }

  .sec-2 .cell .mask p {
    font-size: 14px;
    line-height: 19px;
  }

  .sec-2 .pagination {
    margin-top: 26px !important;
  }

  .sec-2 .pagination ul {
    margin-right: 16px !important;
    margin-left: 16px !important;
  }

  .sec-2 .pagination ul li {
    margin: 0 6px;
  }
}
